# Common arguments

This page provides translations of commonly used arguments to simplify maintaining pages in foreign languages.  
The best way to edit this file is by using [tableconvert.com](https://tableconvert.com/).  
There, the old table can be **imported**, **edited** in a WYSIWYG editor and **exported** again.  
Only the left-alignment of the header gets lost and has to be re-added again (`|----` → `|:---`).

| en    | path/to/file         | path/to/directory      | path/to/file_or_directory         | package   | username          |
|:------|:---------------------|:-----------------------|:----------------------------------|:----------|:------------------|
| ar    | المسار/إلى/الملف | المسار/إلى/الدليل | المسار/إلى/الملف_أو_الدليل  |          حزمة         |        اسم_المستخدم |
| bn    |                      |                        |                                   |           |                   |
| bs    |                      |                        |                                   |           |                   |
| ca    | camí/al/fitxer       | camí/al/directori      | camí/al/fitxer_o_directori        | paquet    | nom_usuari        |
| da    | sti/til/fil          | sti/til/mappe          | sti/til/fil_eller_mappe           | pakke     | brugernavn        |
| de    | pfad/zu/datei        | pfad/zu/verzeichnis    | pfad/zu/datei_oder_verzeichnis    | paket     | benutzername      |
| es    | ruta/al/archivo      | ruta/al/directorio     | ruta/al/archivo_o_directorio      | paquete   | nombre_de_usuario |
| fa    |                      |                        |                                   |           |                   |
| fr    | chemin/vers/fichier  | chemin/vers/dossier    | chemin/vers/fichier_ou_dossier    | paquet    | nom_d_utilisateur |
| hi    | फ़ाइल/का/पथ            | निर्देशिका/का/पथ            | फ़ाइल_या_निर्देशिका/का/पथ                 | पैकेज      | उपयोगकर्ता_नाम         |
| id    | jalan/menuju/file    | jalan/menuju/direktori | jalan/menuju/file_atau_direktori  | paket     | nama_pengguna     |
| it    | percorso/del/file    | percorso/della/directory | percorso/del/file_o_directory     | pacchetto |                   |
| ja    | ファイルパス         | ディレクトリパス         | ファイルパスまたはディレクトリパス | パッケージ  | ユーザー名        |
| ko    | 경로/대상/파일        | 경로/대상/폴더          | 경로/대상/파일_또는_폴더           | 패키지    |  사용자 명        |
| ml    |ഫയലിലേക്കുള്ള/പാത   |ഡയറക്ടറിയിലേക്കുള്ള/പാത    |ഫയലിലേക്കോ_ഡയറക്ടറിയിലേക്കോ/ഉള്ള/പാത  |പാക്കേജ്    |ഉപയോക്തൃനാമം |
| ne    | फाइल/को/पथ            | निर्देशिका/को/पथ            | फाइल_वा_निर्देशिका/को/पथ                 | प्याकेज      | प्रयोगकर्ता_नाम        |
| nl    | pad/naar/bestand     | pad/naar/directory     | pad/naar/bestand_of_directory     |           |                   |
| no    |                      |                        |                                   |           |                   |
| pl    | ścieżka/do/pliku     | ścieżka/do/katalogu    | ścieżka/do/pliku_lub_katalogu     | pakiet    | nazwa_użytkownika |
| pt_BR | caminho/para/arquivo | caminho/para/diretorio | caminho/para/arquivo_ou_diretorio | pacote    | nome_do_usuario   |
| pt_PT |                      |                        |                                   |           |                   |
| ro    |                      |                        |                                   |           |                   |
| ru    | путь/до/файла        | путь/до/папки          | путь/до/файла_или_папки           | пакет     | имя_пользователя  |
| sh    |                      |                        |                                   |           |                   |
| sr    |                      |                        |                                   |           |                   |
| sv    | sökväg/till/fil      | sökväg/till/katalog    | sökväg/till/fil_eller_katalog     | paket     | användarnamn      |
| ta    |பாதை/டு/கோப்பு    |அடைவிற்குப்/பாதை   |பாதை/டு/கோப்பு_அல்லது_அடைவு|நிரல்தொகுப்பு|பயனர்ப்பெயர் |
| th    | ทาง/ไป/ไฟล์         | ทาง/ไป/สารบบ             | ทาง/ไป/สารบบหรือไฟล์                 | แพคเกจ        | ชื่อผู้ใช้        |
| tr    | dosya/yolu           | dizin/yolu             | dosya_veya_dizin/yolu             | paket     | kullanıcı_adı     |
| uk    | шлях/до/файлу        | шлях/до/директорії     | шлях/до/файлу_чи_директорії       | пакунок   | ім'я_користувача  |
| uz    |                      |                        |                                   |           |                   |
| zh    | 路径/到/文件         | 路径/到/目录           | 路径/到/文件或目录                | 包        | 用户名            |
| zh_TW | 檔案/完整/路徑       | 目錄/完整/路徑         | 檔案或目錄/完整/路徑              | 套件      | 使用者名稱        |
