# docker cp

> ホスト、コンテナのファイルシステム間でファイルやディレクトリをコピーします。
> 詳しくはこちら: <https://docs.docker.com/engine/reference/commandline/cp>.

- ホストからコンテナへファイルやディレクトリをコピーする:

`docker cp {{ホスト上のファイルパスもしくはディレクトリパス}} {{コンテナ名}}:{{コンテナ内のファイルパスもしくはディレクトリパス}}`

- コンテナからホストへファイルやディレクトリをコピーする:

`docker cp {{コンテナ名}}:{{コンテナ内のファイルパスもしくはディレクトリパス}} {{ホスト上のファイルパスもしくはディレクトリパス}}`

- ホストからコンテナへシンボリックリンクに従ってファイルやディレクトリをコピーする。(シンボリックリンクされたファイルを直接コピーし、シンボリックリンクそのものはコピーしない):

`docker cp --follow-link {{ホスト上のシンボリックリンクパス}} {{コンテナ名}}:{{コンテナ内のファイルパスもしくはディレクトリパス}}`
