# tar

> Утилита архивирования.
> Обычно используется в сочетании с методом сжатия, такими как gzip или bzip2.
> Больше информации: <https://www.gnu.org/software/tar>.

- Создать архив из файлов:

`tar cf {{целевой.tar}} {{файл1}} {{файл2}} {{файл3}}`

- Создать gzip архив:

`tar czf {{целевой.tar.gz}} {{файл1}} {{файл2}} {{файл3}}`

- Создать gzip-архив из директории, используя относительные пути:

`tar czf {{целевой.tar.gz}} -C {{путь/до/папки}} .`

- Извлечь (сжатый) архив в текущую папку:

`tar xf {{исходный.tar[.gz|.bz2|.xz]}}`

- Извлечь (сжатый) архив в указанную папку:

`tar xf {{исходный.tar[.gz|.bz2|.xz]}} -C {{папка}}`

- Создать сжатый архив, используя суффикс архива для определения программы сжатия:

`tar caf {{целевой.tar.xz}} {{файл1}} {{файл2}} {{файл3}}`

- Вывести список содержимого tar-файла:

`tar tvf {{исходный.tar}}`

- Извлечь файлы, соответствующие шаблону:

`tar xf {{исходный.tar}} --wildcards "{{*.html}}"`
