# g++

> C++ மூலக் கோப்புகளைத் தொகுக்கிறது.
> GCC இன் பகுதி (GNU கம்பைலர் சேகரிப்பு).
> மேலும் விவரத்திற்கு: <https://gcc.gnu.org>.

- இயங்கக்கூடிய பைனரியில் ஒரு மூலக் குறியீடு கோப்பை தொகுக்கவும்:

`g++ {{பாதை/டு/மூல.c}} -o {{பாதை/டு/வெளியீடு_இயங்கக்கூடியது}}`

- அனைத்து பிழைகள் மற்றும் எச்சரிக்கைகள் (கிட்டத்தட்ட) காட்சி:

`g++ {{பாதை/டு/மூல.c}} -Wall -o {{பாதை/டு/வெளியீடு_இயங்கக்கூடியது}}`

- (C++98/C++11/C++14/C++17) தொகுக்க ஒரு மொழித் தரத்தைத் தேர்வு செய்யவும்:

`g++ {{பாதை/டு/மூல.c}} -std={{c++98|c++11|c++14|c++17}} -o {{பாதை/டு/வெளியீடு_இயங்கக்கூடியது}}`

- மூலக் கோப்பை விட வேறு பாதையில் அமைந்துள்ள நூலகங்களைச் சேர்க்கவும்:

`g++ {{பாதை /டு/மூல.c}} -o {பாதை/டு/வெளியீடு_இயங்கக்கூடியது}} -I{{பாதை/டு/தலைப்பு}} -L{{பாதை/நூலகம்}} -l{{நூலகம்_பெயர்}}`

- பல மூலக் குறியீடு கோப்புகளை ஒரு இயங்கக்கூடிய பைனரியில் தொகுத்து இணைக்கவும்:

`g++ -c {{பாதை/டு/மூலம்_1.cpp பாதை/டு/மூலம்_2.cpp ...}} && g++ -o {{பாதை/டு/வெளியீடு_செயல்படுத்தக்கூடியது}} {{பாதை/டு/மூலம்_1.o பாதை/டு/மூலம்_2.o ...}}`

- பதிப்பைக் காட்டு:

`g++ --version`
